cluster.name: zm-rag-cluster
node.name: zm-rag-node-1

network.host: 0.0.0.0
http.port: 9200

# Single node
discovery.type: single-node

# Disable security for internal network
xpack.security.enabled: false

# Performance tuning for vector search
indices.memory.index_buffer_size: 20%
thread_pool.search.size: 16
thread_pool.write.size: 8
